| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
LPC_RGU_T Struct Reference
CHIP: LPC18xx/43xx Reset Generator Unit (RGU) driver

## Detailed Description

RGU register structure.

Definition at line 101 of file rgu_18xx_43xx.h.

`#include "rgu_18xx_43xx.h"`

## Data Fields
__I uint32_t | RESERVED0 [64]
__O uint32_t | RESET_CTRL0
__O uint32_t | RESET_CTRL1
__I uint32_t | RESERVED1 [2]
__IO uint32_t | RESET_STATUS0
__IO uint32_t | RESET_STATUS1
__IO uint32_t | RESET_STATUS2
__IO uint32_t | RESET_STATUS3
__I uint32_t | RESERVED2 [12]
__I uint32_t | RESET_ACTIVE_STATUS0
__I uint32_t | RESET_ACTIVE_STATUS1
__I uint32_t | RESERVED3 [170]
__IO uint32_t | RESET_EXT_STAT [RGU_LAST_RST+1]

## Field Documentation

__I uint32_t RESERVED0[64]

< RGU Structure

Definition at line 102 of file rgu_18xx_43xx.h.

__I uint32_t RESERVED1[2]

Definition at line 105 of file rgu_18xx_43xx.h.

__I uint32_t RESERVED2[12]

Definition at line 110 of file rgu_18xx_43xx.h.

__I uint32_t RESERVED3[170]

Definition at line 113 of file rgu_18xx_43xx.h.

__I uint32_t RESET_ACTIVE_STATUS0

Reset active status register 0

Definition at line 111 of file rgu_18xx_43xx.h.

__I uint32_t RESET_ACTIVE_STATUS1

Reset active status register 1

Definition at line 112 of file rgu_18xx_43xx.h.

__O uint32_t RESET_CTRL0

Reset control register 0

Definition at line 103 of file rgu_18xx_43xx.h.

__O uint32_t RESET_CTRL1

Reset control register 1

Definition at line 104 of file rgu_18xx_43xx.h.

__IO uint32_t RESET_EXT_STAT[RGU_LAST_RST+1]

Reset external status registers

Definition at line 114 of file rgu_18xx_43xx.h.

__IO uint32_t RESET_STATUS0

Reset status register 0

Definition at line 106 of file rgu_18xx_43xx.h.

__IO uint32_t RESET_STATUS1

Reset status register 1

Definition at line 107 of file rgu_18xx_43xx.h.

__IO uint32_t RESET_STATUS2

Reset status register 2

Definition at line 108 of file rgu_18xx_43xx.h.

__IO uint32_t RESET_STATUS3

Reset status register 3

Definition at line 109 of file rgu_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_chip/chip_18xx_43xx/rgu_18xx_43xx.h